<template>
    <v-row justify="center" class="bee-gray">
        <v-col cols="8">
            <v-row align="center">
                <v-col cols="1">
                    <a @click="$router.go(-1)">
                        <img width="70px" src="~@/assets/icons/regresar.svg" alt srcset />
                    </a>
                </v-col>
                <v-col cols="1">
                    <h5 class="titleBack1">Regresar</h5>
                </v-col>
            </v-row>
            <v-row class="bordered" style="border-bottom:none;">
                <div class="d-flex black" style="width:100%;">
                    <h1 class="ml-10 white--text">PRODUCTOS POR CATÁLOGO</h1>
                </div>
                <div class="d-flex" style="width:100%;">
                    <v-row no-gutters align="center" style="height:150px;">
                        <v-col cols="1">
                            <v-spacer></v-spacer>
                        </v-col>
                        <v-col cols="2" class="d-flex" style="height:50px;">
                            <h3 style="margin:auto;">NEGOCIO</h3>
                        </v-col>
                        <v-col cols="4">
                            <v-overflow-btn
                                :items="restaurants"
                                item-text="name"
                                :return-object="true"
                                @change="selectorChanged"
                                :value="restaurants.length ? restaurants[0] : null"
                            >
                            </v-overflow-btn>
                        </v-col>
                    </v-row>
                </div>
            </v-row>
            <v-row class="table-title bordered" style="border-top:none;">
                <v-col>
                    <span>CATÁLOGO</span>
                </v-col>
                <v-col>
                    <v-spacer></v-spacer>
                </v-col>
                <v-col cols="2">
                    <span>PRODUCTOS</span>
                </v-col>
            </v-row>
            <v-row v-for="menu in menusOfSelected" :key="menu.id" class="table-body bordered" style="border-top:none;">
                <v-col>
                    <span>{{ menu.name }}</span>
                </v-col>
                <v-col>
                    <v-spacer></v-spacer>
                </v-col>
                <v-col cols="2">
                    <v-btn
                        icon
                        :to="{ name: 'DishesMenu', params: { restaurantId: selectedRestaurant.id, menuId: menu.id } }"
                    >
                        <HexButton class="hexbtn">
                            <v-icon color="">mdi-eye</v-icon>
                        </HexButton>
                    </v-btn>
                </v-col>
            </v-row>
        </v-col>
    </v-row>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import { namespace } from 'vuex-class';
import { Restaurant } from '@/model/Restaurant';
import { Menu } from '@/model/menu/Menu';
import HexButton from '@/components/commons/HexButton.vue';

const restaurantStore = namespace('RestaurantModule');

@Component({
    components: {
        HexButton
    }
})
export default class Dishes extends Vue {
    @restaurantStore.State
    restaurants!: Restaurant[];
    selectedRestaurant: Restaurant | null = null;

    selectorChanged(e: Restaurant) {
        this.selectedRestaurant = e;
    }

    get menusOfSelected(): Menu[] {
        return this.selectedRestaurant == null ? [] : this.selectedRestaurant.menus;
    }

    mounted() {
        if (this.restaurants.length) {
            this.selectedRestaurant = this.restaurants[0];
        }
    }
}
</script>

<style type="text/css">
@media (max-width: 700px) {
    .titleBack1 {
        margin-left: 58px;
        position: absolute;
    }
    .hexbtn {
        width: 30px;
        height: 30px;
    }
}

@media screen and (max-width: 800px) {
    .titleBack1 {
        margin-left: 58px;
        position: absolute;
    }
    .v-overflow-btn:not(.v-overflow-btn--editable) > .v-input__control > .v-input__slot {
        position: absolute;
        width: 100px;
        margin-top: 20px;
        background: url('https://img.icons8.com/ultraviolet/40/000000/down-squared.png') no-repeat;
    }
    .mdi-eye::before {
        content: '\F0208';
        width: 5px;
        height: 5px;
        position: revert;
        margin-top: -20px;
        margin-right: 20px;
    }
}
</style>
